org.fourthline.cling.model.types

## Enum Datatype.Default

- java.lang.Object
- - java.lang.Enum<Datatype.Default>
  - - org.fourthline.cling.model.types.Datatype.Default

- All Implemented Interfaces:
    Serializable, Comparable<Datatype.Default>
  Enclosing interface:
    Datatype<V>

      public static enum Datatype.Default
      extends Enum<Datatype.Default>

  Mapping from Java type to UPnP built-in type.

  This map is used for service binding, when we have to figure out the type of a UPnP state variable by reflecting on a method or field of a service class. From a known Java type we default to a UPnP built-in type. This is just a list of default mappings between Java and UPnP types. There might be more than this/more than one UPnP type that can handle a given Java type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `BOOLEAN_PRIMITIVE`
    `BYTES`
    `CALENDAR`
    `CHAR`
    `CHAR_PRIMITIVE`
    `DOUBLE`
    `DOUBLE_PRIMTIIVE`
    `FLOAT`
    `FLOAT_PRIMITIVE`
    `INTEGER`
    `INTEGER_PRIMITIVE`
    `SHORT`
    `SHORT_PRIMITIVE`
    `STRING`
    `UNSIGNED_INTEGER_FOUR_BYTES`
    `UNSIGNED_INTEGER_ONE_BYTE`
    `UNSIGNED_INTEGER_TWO_BYTES`
    `URI`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Datatype.Builtin` | `getBuiltinType()`
    `static Datatype.Default` | `getByJavaType(Class javaType)`
    `Class` | `getJavaType()`
    `String` | `toString()`
    `static Datatype.Default` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Datatype.Default[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final Datatype.Default BOOLEAN

    - #### BOOLEAN_PRIMITIVE

          public static final Datatype.Default BOOLEAN_PRIMITIVE

    - #### SHORT

          public static final Datatype.Default SHORT

    - #### SHORT_PRIMITIVE

          public static final Datatype.Default SHORT_PRIMITIVE

    - #### INTEGER

          public static final Datatype.Default INTEGER

    - #### INTEGER_PRIMITIVE

          public static final Datatype.Default INTEGER_PRIMITIVE

    - #### UNSIGNED_INTEGER_ONE_BYTE

          public static final Datatype.Default UNSIGNED_INTEGER_ONE_BYTE

    - #### UNSIGNED_INTEGER_TWO_BYTES

          public static final Datatype.Default UNSIGNED_INTEGER_TWO_BYTES

    - #### UNSIGNED_INTEGER_FOUR_BYTES

          public static final Datatype.Default UNSIGNED_INTEGER_FOUR_BYTES

    - #### FLOAT

          public static final Datatype.Default FLOAT

    - #### FLOAT_PRIMITIVE

          public static final Datatype.Default FLOAT_PRIMITIVE

    - #### DOUBLE

          public static final Datatype.Default DOUBLE

    - #### DOUBLE_PRIMTIIVE

          public static final Datatype.Default DOUBLE_PRIMTIIVE

    - #### CHAR

          public static final Datatype.Default CHAR

    - #### CHAR_PRIMITIVE

          public static final Datatype.Default CHAR_PRIMITIVE

    - #### STRING

          public static final Datatype.Default STRING

    - #### CALENDAR

          public static final Datatype.Default CALENDAR

    - #### BYTES

          public static final Datatype.Default BYTES

    - #### URI

          public static final Datatype.Default URI

  - ### Method Detail

    - #### values

          public static Datatype.Default[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Datatype.Default c : Datatype.Default.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Datatype.Default valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getJavaType

          public Class getJavaType()

    - #### getBuiltinType

          public Datatype.Builtin getBuiltinType()

    - #### getByJavaType

          public static Datatype.Default getByJavaType(Class javaType)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Datatype.Default>`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.